{% extends "base_template.html" %}
{% block title %} Login {% endblock %}

{% block content %}

    <div class="my-3 p-3 bg-body rounded shadow-sm">
        <div class="row">
            <div class="col">
                <form action="" class="needs-validation" method="post" novalidate>
                    {{ form.hidden_tag() }}
                    <div class="row">
                        <div class="mb-3">
                            <div class="col">
                                <label class="form-control-label">{{ form.email.label }}:</label>
                                {{ form.email(class_="form-control") }}
                                {% for error in form.email.errors %}
                                    <span style="color: red">{{ error }}</span>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="mb-3">
                            <div class="col">
                                <label class="form-control-label">{{ form.password.label }}: </label>
                                {{ form.password(class_="form-control") }}
                                {% for error in form.password.errors %}
                                    <span style="color: red">{{ error }}</span>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="mb-3">
                            <div class="col">
                                <div class="form-check">
                                    {{ form.remember_me(class_="form-check-input") }}
                                    {{ form.remember_me.label(class_="form-check-label") }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="mb-3">
                            <div class="col">
                                {{ form.submit(class_="btn btn-primary btn-lg") }}
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
{% endblock %}